Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.quartz
Class MethodInvokingJobDetailFactoryBean.MethodInvokingJob

    java.lang.Object
      org.springframework.scheduling.quartz.QuartzJobBean
          org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean.MethodInvokingJob

All Implemented Interfaces:
  org.quartz.Job

Direct Known Subclasses:
  MethodInvokingJobDetailFactoryBean.StatefulMethodInvokingJob

Enclosing class:
  MethodInvokingJobDetailFactoryBean

    public static class MethodInvokingJobDetailFactoryBean.MethodInvokingJob

extends QuartzJobBean

Quartz Job implementation that invokes a specified method. Automatically applied by MethodInvokingJobDetailFactoryBean.

Field Summary
`protected static org.apache.commons.logging.Log` | `logger`

Constructor Summary
`MethodInvokingJobDetailFactoryBean.MethodInvokingJob()`

Method Summary
`protected void` | `executeInternal(org.quartz.JobExecutionContext context)` Invoke the method via the MethodInvoker.
`void` | `setMethodInvoker(MethodInvoker methodInvoker)` Set the MethodInvoker to use.

Methods inherited from class org.springframework.scheduling.quartz.QuartzJobBean
`execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final org.apache.commons.logging.Log logger

Constructor Detail

### MethodInvokingJobDetailFactoryBean.MethodInvokingJob

    public MethodInvokingJobDetailFactoryBean.MethodInvokingJob()

Method Detail

### setMethodInvoker

    public void setMethodInvoker(MethodInvoker methodInvoker)

  Set the MethodInvoker to use.

### executeInternal

    protected void executeInternal(org.quartz.JobExecutionContext context)
                            throws org.quartz.JobExecutionException

  Invoke the method via the MethodInvoker.

  Specified by:
    `executeInternal` in class `QuartzJobBean`
  Throws:
    `org.quartz.JobExecutionException`
  See Also:
    `QuartzJobBean.execute(org.quartz.JobExecutionContext)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD